let loc = (Lexing.dummy_pos, Lexing.dummy_pos)

let usage =
"Usage: mlcduce_wrapper <primitive file>
" 

let err s = prerr_endline s; prerr_endline usage; exit 1

let () =
  if Array.length Sys.argv != 2 then err "";
  let fn = Sys.argv.(1) in
  let ic = 
    try open_in fn
    with Sys_error s -> err s in
  let v = ref [] in
  (try while true do 
     let s = input_line ic in
     if s != "" then
       match s.[0] with
	 | 'A'..'Z' -> v := s :: !v 
	 | '#' -> ()
	 | _ -> err "Names must start with a capitalized letter"
   done 
   with End_of_file -> ());
  let s = Mlstub.gen_wrapper !v in
  !Pcaml.print_implem [ s,loc ]

