open Encodings

module Node: Set.OrderedType
type node = Node.t

val node_of_uri: string -> node

val _may_attr: string -> node -> Utf8.t option
val _is_attr: string -> node -> string -> bool
val _attr: string -> node -> Utf8.t
val _may_elem: string -> node -> node option
val _elems: string -> node -> node list
val _filter_elems: string list -> node -> node list
  
val _line: node -> int
  
val _iter_nodes: node -> (node -> unit) -> unit
val _iter_elems: node -> (node -> string -> unit) -> unit
val _fold_elems: node -> 'a -> ('a -> node -> string -> 'a) -> 'a
val _tag: node -> string
val _has_tag: node -> (string -> bool) -> bool
val _namespaces: node -> (string * string) list
  
val _find: (node -> bool) -> node -> node


val has_xsd_prefix : Utf8.t -> bool
val schema_ns_prefixes: (Utf8.t * Utf8.t) list

val _resolve_qname: node -> Utf8.t -> Ns.qname
val _may_qname_attr: string -> node -> Ns.qname option
val _qname_attr: string -> node -> Ns.qname

val xsd: Ns.t
val xsi: Ns.t
